package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 录取率范围设定对象 mall_accept_rate_setting
 *
 * @author ruoyi
 * @date 2023-10-26
 */
public class MallAcceptRateSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 录取率设定id */
    @Excel(name = "录取率设定id")
    private Long rateMatchId;

    /** 类型(0-可冒险,1-搏一搏,2-较稳妥,3-可保底) */
    private Integer rateType;

    /** 结果小值 */
    @Excel(name = "结果小值")
    private BigDecimal resultFloor;

    /** 结果大值 */
    @Excel(name = "结果大值")
    private BigDecimal resultCeil;

    /** 录取率小值 */
    @Excel(name = "录取率小值")
    private BigDecimal acceptFloor;

    /** 录取率大值 */
    @Excel(name = "录取率大值")
    private BigDecimal acceptCeil;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    /** 排序 */
    private Integer sort;

    public Integer getRateType() {
        return rateType;
    }

    public void setRateType(Integer rateType) {
        this.rateType = rateType;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public void setRateMatchId(Long rateMatchId)
    {
        this.rateMatchId = rateMatchId;
    }

    public Long getRateMatchId()
    {
        return rateMatchId;
    }
    public void setResultFloor(BigDecimal resultFloor)
    {
        this.resultFloor = resultFloor;
    }

    public BigDecimal getResultFloor()
    {
        return resultFloor;
    }
    public void setResultCeil(BigDecimal resultCeil)
    {
        this.resultCeil = resultCeil;
    }

    public BigDecimal getResultCeil()
    {
        return resultCeil;
    }
    public void setAcceptFloor(BigDecimal acceptFloor)
    {
        this.acceptFloor = acceptFloor;
    }

    public BigDecimal getAcceptFloor()
    {
        return acceptFloor;
    }
    public void setAcceptCeil(BigDecimal acceptCeil)
    {
        this.acceptCeil = acceptCeil;
    }

    public BigDecimal getAcceptCeil()
    {
        return acceptCeil;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rateMatchId", getRateMatchId())
            .append("resultFloor", getResultFloor())
            .append("resultCeil", getResultCeil())
            .append("acceptFloor", getAcceptFloor())
            .append("acceptCeil", getAcceptCeil())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .append("sort", getSort())
            .append("rateType", getRateType())
            .toString();
    }
}
